2010-07-27  Lluis Sanchez Gual  <lluis@novell.com>

	* configure.in: Enable git by default.

2010-07-27  Lluis Sanchez Gual  <lluis@novell.com>

	* Main.sln: Updated projects to build.

2010-06-28  Dale Ragan  <dale.ragan@sinesignal.com>

       * Main.sln:
       * configure.in: Adding MonoDevelop.VersionControl.Git to the solution/build 
         system.  It is disabled by default, to enable pass --enable-git=yes.

2010-06-25  Levi Bard  <levi@unity3d.com>

	* *.csproj: Clean up Copy Local for project references.

2010-06-17  Mike Krüger  <mkrueger@novell.com>

	* Main.sln:
	* configure.in: Adding DocFood to the solution/build system.

2010-06-14  Lluis Sanchez Gual  <lluis@novell.com>

	* configure.in: Bump MD version.

2010-05-31  Michael Hutchinson  <mhutchinson@novell.com>

	* configure.in: Reverted Mono.Addins dependency for now,
	  as it causes problems for people building on Mac where 
	  Mono.Addins 0.5 has not been packaged.

2010-05-21  Lluis Sanchez Gual  <lluis@novell.com>

	* configure.in: Bumped Mono.Addins dependency.

2010-05-20  Lluis Sanchez Gual  <lluis@novell.com>

	* configure.in: Bump MD version.

2010-04-29  Michael Hutchinson  <mhutchinson@novell.com>

	* monodevelop.desktop: Fixed exec command and added mimetypes.
	  Thanks to Alexander M. Batishchev.

2010-04-28  Lluis Sanchez Gual  <lluis@novell.com> 

	* monodevelop-core-addins.pc.in: Add Mono.Debugger.Soft.dll

2010-04-28  Lluis Sanchez Gual  <lluis@novell.com>

	* configure.in: Require Mono 2.6.1. Updated version label.

2010-03-22  Lluis Sanchez Gual  <lluis@novell.com>

	* configure.in: Bumped MD version.

2010-03-19  Lluis Sanchez Gual  <lluis@novell.com>

	* Main.sln: Don't build gnome and mac platforms on windows.

2010-03-18  Lluis Sanchez Gual  <lluis@novell.com>

	* Main.sln: Fix startup project.

2010-03-17  Lluis Sanchez Gual  <lluis@novell.com>

	* Main.sln:
	* configure.in:
	* monodevelop.pc.in: Merged MD.Projects into MD.Core, and
	  MD.Projects.Gui, MD.Core.Gui and MD.Components into MD.Ide.

2010-03-16  Lluis Sanchez Gual  <lluis@novell.com>

	* configure.in: Configure new tool.

2010-03-05  Levi Bard  <levi@unity3d.com>

	* Main.sln: Don't build GnomePlatform in MacDebug configuration.

2010-03-01  Lluis Sanchez Gual  <lluis@novell.com>

	* Main.sln: The invariant policy can't be used anymore as base
	  policy set.

2010-02-25  Lluis Sanchez Gual  <lluis@novell.com>

	* configure.in: Properly initialize the subversion build switch.

2010-02-23  Michael Hutchinson  <mhutchinson@novell.com>

	* main: Remove stray folder.

2010-02-23  Michael Hutchinson  <mhutchinson@novell.com>

	* Main.sln:
	* configure.in: Moved diff widget and algorithm to
	  MonoDevelop.Components.

2010-02-19  Lluis Sanchez Gual  <lluis@novell.com>

	* Main.sln: Don't compile the gnome and mac platforms on
	  windows.

2010-02-18  Lluis Sanchez Gual  <lluis@novell.com>

	* Main.sln:
	* configure.in: Moved AspLanguageBuilder to its own assembly
	  and module. Dropped Asp.Net dependency.

2010-02-08  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am: Add trace targets.

2010-02-03  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* configure.in: Capture ACLOCAL_FLAGS for autoreconf
	  so building is less painful on Mac.

2010-01-27  Michael Hutchinson  <mhutchinson@novell.com>

	* Main.sln: Exclude GnomePlatform from Mac again.

2010-01-21  Lluis Sanchez Gual  <lluis@novell.com>

	* Main.sln: Disable the gnome platform on windows.

2010-01-20  Michael Hutchinson  <mhutchinson@novell.com>

	* Main.sln:
	* configure.in:
	* monodevelop-core-addins.pc.in: Add the new dll.

2010-01-20  Lluis Sanchez Gual  <lluis@novell.com>

	* Main.sln: Update. The GUID for the Cecil.Decompiler project
	  was wrong.

2010-01-18  Lluis Sanchez Gual  <lluis@novell.com>

	* Main.sln: Fix reference to decompiler project.

2010-01-15  Michael Hutchinson  <mhutchinson@novell.com>

	* Main.sln: Fix the Cecil decompiler in the build. Make
	  building MD with Makefiles work again, and puts the
	  decompiler properly in its own dll instead of merging it
	  into a franken-Cecil.

2009-12-16  Lluis Sanchez Gual  <lluis@novell.com>

	* Main.sln: Don't build the test projects on windows.

2009-12-15  Lluis Sanchez Gual  <lluis@novell.com>

	* Main.sln: Added new test projects.

2009-11-30  Michael Hutchinson  <mhutchinson@novell.com>

	* theme-icons/Makefile.am: dist all Mac icns files.
	* theme-icons/Mac/monodevelop.sln.icns: Added sln icons.

2009-11-18  Mike Krüger  <mkrueger@novell.com>

	* Main.sln:
	* configure.in: Added hex editor display binding.

2009-11-09  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am: Fix deps for vcrevision file.

2009-11-09  Michael Hutchinson  <mhutchinson@novell.com>

	* configure.in: Wire the soft debug addin into the build.

2009-11-09  Michael Hutchinson  <mhutchinson@novell.com>

	* Main.sln:
	* monodevelop-core-addins.pc.in: Moved soft debug addin from
	  extras.

2009-11-07  Michael Hutchinson   <mhutchinson@novell.com>

	* monodevelop-core-addins.pc.in: Add Moonlight addin.

2009-10-30  Lluis Sanchez Gual  <lluis@novell.com>

	* configure.in: Bump MD version.

2009-10-19  Mike Kestner  <mkestner@novell.com>

	* monodevelop.pc.in: add AddinsPath variable to discover where
	third party addins need to be installed.

2009-10-19  Lluis Sanchez Gual  <lluis@novell.com>

	* Main.sln: Re-enable autotools add-in. It's required for the
	  c# optional module.

2009-10-19  Lluis Sanchez Gual  <lluis@novell.com>

	* Main.sln: Disabled another project for win32.

2009-10-19  Michael Hutchinson   <mhutchinson@novell.com>

	* monodevelop.pc.in:
	* monodevelop-core-addins.pc.in: Make relocatable.

2009-10-19  Lluis Sanchez Gual  <lluis@novell.com>

	* Main.sln: Disable another project for win32.

2009-10-19  Lluis Sanchez Gual  <lluis@novell.com>

	* Main.sln: Disable the C and autotools add-ins in windows.

2009-10-08  Ankit Jain  <jankit@novell.com>

	* md.targets: New. Targets file that adds build/* as a
	assembly search path for msbuild.

2009-10-07  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am: Generate a buildinfo file with svn revision and date,
	  and include in the distribution.

2009-10-07  Michael Hutchinson  <mhutchinson@novell.com>

	* build/MacOSX/Makefile.am: Include the svn addin.

2009-10-07  Lluis Sanchez Gual  <lluis@novell.com>

	* COPYING: Updated license. MonoDevelop is now LGPL.

2009-10-07  Lluis Sanchez Gual  <lluis@novell.com>

	* configure.in: Bump MD version.

2009-09-15  Lluis Sanchez Gual  <lluis@novell.com>

	* configure.in: Revert the gtk# dep upgrade for now. 2.12.8
	  seems to work just fine.

2009-09-14  Michael Hutchinson  <mhutchinson@novell.com>

	* configure.in: Bump Mono/GTK# versions to the version we
	  announced we'd be requiring.

2009-09-14  Michael Hutchinson  <mhutchinson@novell.com>

	* Main.sln: Increase C# file width policy to 120 columns.

2009-08-31  Lluis Sanchez Gual  <lluis@novell.com>

	* configure.in: Update version label.

	* monodevelop.pc.in: Added some mono.addins variables.

2009-08-26  Lluis Sanchez Gual  <lluis@novell.com>

	* configure.in: Updated dependencies. We now depend on gtk#
	  2.12.8, Mono 2.4, and Mono.Addins 0.4.

2009-08-12  Michael Hutchinson  <mhutchinson@novell.com>

	* Main.sln:
	* configure.in: Include the ASP.NET MVC and TextTemplating
	  addins in the main solution and build.

2009-08-12  Michael Hutchinson  <mhutchinson@novell.com>

	* Main.sln:
	* configure.in: Track moving & renaming ASP.NET addin.

2009-08-11  Lluis Sanchez Gual  <lluis@novell.com>

	* mdtool.in: Properly quote the provided arguments.

2009-07-31  Lluis Sanchez Gual  <lluis@novell.com>

	* Main.sln:
	* configure.in: Added new project.

2009-07-28  Michael Hutchinson  <mhutchinson@novell.com>

	* monodevelop.in: Scan all Mozillas registered in /etc/gre.d/
	  for gtkmozembed. Patch from Allwyn Fernandes
	  <sldfaslfsasdkfasdf33@stobor.net>.

2009-07-21  Lluis Sanchez Gual  <lluis@novell.com>

	* Main.sln: Fix configuration mappings for MD.Refactoring.

2009-07-06  Michael Hutchinson  <mhutchinson@novell.com>

	* build/MacOSX/mdtool:
	* build/MacOSX/monodevelop: Add MD's own pkg-config to
	  PKG_CONFIG_PATHS. Add Moonlight SDK path -- assume it will
	  be copied into the .app manually.

2009-07-06  Michael Hutchinson  <mhutchinson@novell.com>

	* build/MacOSX/Makefile.am: Restore Moonlight addin to the
	  .app, and purge some junk.

2009-07-06  Michael Hutchinson  <mhutchinson@novell.com>

	* configure.in: Remove unused dep.

2009-07-01  Mike Krüger  <mkrueger@novell.com>

	* Main.sln:
	* configure.in: Moved refactoring support to an own assembly.

2009-06-02  Jonathan Pobst  <monkey@jpobst.com>

	* Main.sln: Build MonoDevelop.VersionControl.Subversion on
	DebugWin32.

2009-05-25  Lluis Sanchez Gual  <lluis@novell.com>

	* configure.in: Add gtk-dotnet.

2009-04-29  Michael Hutchinson  <mhutchinson@novell.com>

	* mdtool.in:
	* monodevelop.in: Simpler launch script, without the fragile
	  options parsing.

2009-04-29  Lluis Sanchez Gual  <lluis@novell.com>

	* Main.sln: Disable a few projects in the win32 build.

2009-04-28  Michael Hutchinson  <mhutchinson@novell.com>

	* build/MacOSX/Makefile.am: Better build deps.

	* build/MacOSX/mdtool: Simpler launch script.

	* build/MacOSX/monodevelop: Simpler launch script. Detect Mono
	  version and show error dialog if Mono not found or too old.

2009-04-21  Mike Kestner  <mkestner@novell.com>

	* Main.sln: activate CSharpBinding.Autotools.dll build for
	DebugWin32|x86.

2009-04-15  Lluis Sanchez Gual  <lluis@novell.com>

	* configure.in: Bump MD version.

2009-04-11  Miguel de Icaza  <miguel@novell.com>

	* configure.in: Make autoconf actually autoconfigure MonoDevelop
	as opposed to requiring a litany of --enable and --disable junk.

2009-03-17  Lluis Sanchez Gual  <lluis@novell.com>

	* AUTHORS: Add missing mike.

2009-03-17  Lluis Sanchez Gual  <lluis@novell.com>

	* AUTHORS: Updated authors list.

2009-03-13  Michael Hutchinson  <mhutchinson@novell.com>

	* Main.sln: Fix invalid configuration mappings again.

2009-03-13  Mike Krüger  <mkrueger@novell.com>

	* Main.sln:
	* configure.in: Moved text editor to core

2009-03-12  Michael Hutchinson  <mhutchinson@novell.com>

	* mdtool.in:
	* monodevelop.in:
	* build/MacOSX/mdtool:
	* build/MacOSX/monodevelop: Fix escaping and handling of
	  escaped arguments. Fixes "Bug 484954 - Monodevelop does not
	  start from volumes with spaces in the name" and "Bug 483260
	  - mdtool doesn't properly handle spaces in pathnames.".

2009-03-12  Michael Hutchinson  <mhutchinson@novell.com>

	* Main.sln: Remove libsteticui from windows build.

2009-03-12  Michael Hutchinson  <mhutchinson@novell.com>

	* Main.sln: Fix solution config mapping for NRefactory. Fixes
	  Mac and Windows builds.

2009-03-10  Lluis Sanchez Gual  <lluis@novell.com>

	* monodevelop-core-addins.pc.in: Add MD.Debugger to the list,
	  since it is required by SourceEditor.

	* monodevelop.pc.in: Set GacPackage flag.

2009-03-10  Mike Krüger  <mkrueger@novell.com>

	* Main.sln: Updated nrefactory references.

2009-03-07  Michael Hutchinson  <mhutchinson@novell.com>

	* monodevelop-core-addins.pc.in: Add
	  MonoDevelop.SourceEditor2.dll.

2009-03-03  Lluis Sanchez Gual  <lluis@novell.com>

	* monodevelop.desktop: Added more application categories.

2009-02-26  Michael Hutchinson  <mhutchinson@novell.com>

	* Main.sln: Fix translation projects' GUIDs.

2009-02-25  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am: Add casts debugging to run-debug target.

2009-02-25  Michael Hutchinson  <mhutchinson@novell.com>

	* Main.sln: Remove unused name attribute.

2009-02-20  Michael Hutchinson  <mhutchinson@novell.com>

	* Main.sln: Update mappings.

2009-02-10  Michael Hutchinson  <mhutchinson@novell.com>

	* tests/test-projects/console-project/ConsoleProject.sln:
	* tests/test-projects/completion-db-test/CompletionDbTest.sln:
	* tests/test-projects/generated-console-project/TestSolution.sln:
	* tests/test-projects/test-configuration-merging/TestConfigurationMerging.sln:
	  Remove unnecessary attribute from solutions.

2009-02-09  Jonathan Pryor  <jpryor@novell.com>

	* docs/sources/monodevelop-extension-guide.source,
	  docs/sources/monodevelop-reference.source: Add a /monodoc/node 
	  element so that documentation is inserted under the appropriate
	  "MonoDevelop IDE" node (for current/recent monodoc installs).

2009-02-08  Michael Hutchinson  <mhutchinson@novell.com>

	* Main.sln: Build mdhost and mdrun as 32-bit too on Windows.

2009-02-08  Michael Hutchinson  <mhutchinson@novell.com>

	* Main.sln: Move Win32 configuration to x86 because GTK# on
	  Windows is only available in x86.

2009-02-08  Michael Hutchinson  <mhutchinson@novell.com>

	* Main.sln: Add new configurations for Windows and Mac, with
	  the addins for those platforms. Exclude new Windows/Mac
	  platform projects from the default Debug build.

2009-02-07  Michael Hutchinson  <mhutchinson@novell.com>

	* configure.in: Remove unused file.

2009-02-06  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am: Fix distcheck. Updating the mime DB is leaving even 
	  more junk.
	* build/Makefile.am: Excludes the unfinished Mac packaging from 
	  the build, as it was breaking make dist.

2009-02-06  Lluis Sanchez Gual  <lluis@novell.com>

	* Main.sln: Flush.

2009-02-06  Lluis Sanchez Gual  <lluis@novell.com>

	* contrib/contrib.mds: Migrated to MSBuild file format.

2009-02-06  Lluis Sanchez Gual  <lluis@novell.com>

	* Main.sln:
	* Main.mds:
	* MonoDevelop.mds: Migrated to MSBuild file format.

2009-02-03  Lluis Sanchez Gual  <lluis@novell.com>

	* configure.in: Bump MD version.

2009-02-03  Lluis Sanchez Gual  <lluis@novell.com>

	* Main.mds: Set resource naming policy.

2009-02-02  Lluis Sanchez Gual  <lluis@novell.com>

	* Main.mds: Set MD policies.

2009/02/01  Michael Hutchinson  <mhutchinson@novell.com>

	* configure.in: Add a hack for the Mono-cairo pkg-config
	  package, as it pulls in Mono.Cairo 1.0, which breaks the
	  gmcs build.

2009-01-26  Michael Hutchinson  <mhutchinson@novell.com>

	* src/addins/Addins.mds:
	* contrib/Mono.Cecil/Mono.Cecil.mdp:
	* contrib/Mono.Cecil/Mono.Cecil.Mdb.mdp: Flush project format changes.

2009-01-16  Michael Hutchinson  <mhutchinson@novell.com>

	* mdtool.in:
	* monodevelop.in:
	* Makefile.include: Remove pkgconfig sniffing, since it's now unified in
	managed code.

2009-01-16  Lluis Sanchez Gual  <lluis@novell.com>

	* configure.in: Added new NUnitRunner project.

2009-01-13  Michael Hutchinson  <mhutchinson@novell.com>

	* monodevelop.in: Fix pkgconfig paths. Thanks to Vadim Chekan for this.

	* mdtool.in: Fix pkgconfig paths. Use /bin/bash, as sh doesn't
	necessarily support exec -a.

2008-12-19  Rusty Howell <rhowell@novell.com>

	* Added 'make app-dir' as target to create OSX .app
	* Added resources files for .app

2008-12-02  Michael Hutchinson  <mhutchinson@novell.com>

	* configure.in: Remove configure-generated AssemblyInfo.cs files.

2008-12-02  Lluis Sanchez Gual  <lluis@novell.com>

	* build/Makefile.am: Remove data subdir.

2008-12-02  Lluis Sanchez Gual  <lluis@novell.com>

	* build/data:
	* configure.in:
	* build/data/resources:
	* build/data/Makefile.am:
	* build/data/resources/css:
	* build/data/resources/Makefile.am:
	* build/data/ConversionStyleSheets:
	* build/data/resources/css/Makefile.am:
	* build/data/resources/css/MsdnHelp.css:
	* build/data/resources/css/SharpDevelopStandard.css:
	* build/data/ConversionStyleSheets/ShowChangeLog.xsl:
	* build/data/ConversionStyleSheets/ConvertPrjx10to11.xsl:
	* build/data/ConversionStyleSheets/ShowHowYouCanHelp.xsl:
	* build/data/ConversionStyleSheets/ShowXmlDocumentation.xsl: Remove
	unused stuff.

2008-12-02  Michael Hutchinson  <mhutchinson@novell.com>

	* src/tools/AssemblyInfoWriter:
	* src/tools/AssemblyInfoWriter/Makefile:
	* src/tools/AssemblyInfoWriter/AssemblyInfoWriter.cs: Add a utility for
	generating AssemblyInfo.cs files from addin manifests.

2008-11-25  Michael Hutchinson  <mhutchinson@novell.com>

	* main/src/addins/MonoDevelop.SourceEditor
	* src/addins/Addins.mds:
	* src/addins/Makefile.am:
	* configure.in: Remove GtkSourceView-based editor from main. It's 
	  moved to extras, since it doesn't build right now, and doesn't 
	  offer anything more than the default editor.

2008-11-24  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am: Use logging profiler when stat profiling.

2008-11-18  Lluis Sanchez Gual  <lluis@novell.com>

	* COPYING: Add GPL v2 license.

2008-11-13  Michael Hutchinson  <mhutchinson@novell.com>

	* monodevelop.in:
	* mdtool.in: Make relocatable. Handle arguments better.

2008-11-10  Lluis Sanchez Gual  <lluis@novell.com>

	* monodevelop.in: Always use debug mode when running the alpha.

2008-11-05  Lluis Sanchez Gual  <lluis@novell.com>

	* configure.in: Bump MD version.

2008-10-13  Michael Hutchinson  <mhutchinson@novell.com> 

	* configure.in: Bump Mono version requirement to 2.0.

2008-09-17  Lluis Sanchez Gual <lluis@novell.com> 

	* Main.mds: Updated projects.

2008-07-29  Mike Krüger <mkrueger@novell.com> 

	* src/core/MonoDevelop.Documentation,
	  src/core/MonoDevelop.Documentation/MonoDevelop.Documentation,
	  src/core/MonoDevelop.Documentation/MonoDevelop.Documentation/DocumentationService.cs,
	  src/core/MonoDevelop.Documentation/AssemblyInfo.cs.in,
	  src/core/MonoDevelop.Documentation/ChangeLog,
	  src/core/MonoDevelop.Documentation/Makefile.am,
	  src/core/MonoDevelop.Documentation/MonoDevelop.Documentation.addin.xml,
	  src/core/MonoDevelop.Documentation/MonoDevelop.Documentation.mdp,
	  src/core/Makefile.am: Removed some parts of the documentation
	  service.

2008-06-16  Lluis Sanchez Gual <lluis@novell.com> 

	* Makefile.am: Added test target.

2008-06-06  Michael Hutchinson <mhutchinson@novell.com> 

	* configure.in: Disable unit tests by default. Also fix a typo.

2008-06-05  Lluis Sanchez Gual <lluis@novell.com> 

	* configure.in: Export version label.

2008-06-04  Michael Hutchinson <mhutchinson@novell.com> 

	* tests/Makefile.am, configure.in: Fix --disable-tests.
	* src/addins/Makefile.am: Fix GtkSourceView2 addin build.

2008-06-04  Lluis Sanchez Gual <lluis@novell.com> 

	* src/tools/Tools.mds, tests/tests.mds: Minor project file fixes.

2008-06-04  Lluis Sanchez Gual <lluis@novell.com> 

	* src/core/Core.mds, configure.in: Bump MD version.

2008-06-02  Lluis Sanchez Gual <lluis@novell.com> 

	* src/addins/Addins.mds, src/core/Core.mds, Main.mds: Some fixes in
	  project files.

2008-05-21  Lluis Sanchez Gual <lluis@novell.com> 

	

2008-05-21  Lluis Sanchez Gual <lluis@novell.com> 

	* monodevelop-core-addins.pc.in: Removed MSVisualStudio project from
	  .pc file since it is not extensible anymore.
	* configure.in, MonoDevelop.mds: Added test infrastructure.
	* src/core/Core.mds: New project model changes.
	* contrib/contrib.mds: Updated.

2008-05-19  Michael Hutchinson <mhutchinson@novell.com> 

	* configure.in: Remove conditional build for ASP.NET support; there's
	  no longer any reason to disable it.

2008-05-19  Michael Hutchinson <mhutchinson@novell.com> 

	* configure.in: Check for broken *-gtkmozembed files, as they've turned
	  up with xulrunner 1.9.

2008-04-02  Michael Hutchinson  <mhutchinson@novell.com> 

	* monodevelop-core-addins.pc.in: Include MonoDevelop.XmlEditor.dll, 
	  so that the compiler can resolve dependencies when compiling external 
	  addins.

2008-04-02  Michael Hutchinson <mhutchinson@novell.com> 

	* src/addins/Makefile.am: Update build order to take account of new 
	  dependencies. 

2008-03-21  Michael Hutchinson <mhutchinson@novell.com> 

	* monodevelop.pc.in: Include Mono.TextEditor.dll, so that the compiler
	  can resolve dependencies when compiling external addins.

2008-03-18  Michael Hutchinson <mhutchinson@novell.com> 

	* src/addins/Makefile.am: Fix build order to take account of new
	  dependencies.

2008-03-13  Michael Hutchinson <mhutchinson@novell.com> 

	* src/addins/Makefile.am: Hook XmlEditor into default build.

2008-03-12  Jonathan Pobst  <monkey@jpobst.com>

	* configure.in: Add enable-windowsplatform.
	* src/addins/Makefile.am: Add WindowsPlatform.

2008-03-07  Mike Krüger <mkrueger@novell.com> 

	* configure.in,
	  src/addins/MonoDevelop.CodeMetrics/MonoDevelop.CodeMetrics.addin.xml,
	  src/addins/MonoDevelop.CodeMetrics/MonoDevelop.CodeMetrics.mdp,
	  src/addins/MonoDevelop.CodeMetrics/MonoDevelop.CodeMetrics.xml,
	  src/addins/MonoDevelop.CodeMetrics/MonoDevelop.CodeMetrics,
	  src/addins/MonoDevelop.CodeMetrics/MonoDevelop.CodeMetrics/CodeMetricsView.cs,
	  src/addins/MonoDevelop.CodeMetrics/MonoDevelop.CodeMetrics/Commands.cs,
	  src/addins/MonoDevelop.CodeMetrics/MonoDevelop.CodeMetrics/CodeMetricsNodeExtension.cs,
	  src/addins/MonoDevelop.CodeMetrics/MonoDevelop.CodeMetrics/CodeMetricsWidget.cs,
	  src/addins/Makefile.am: Added code metrics addin.

2008-03-06  Michael Hutchinson  <mhutchinson@novell.com> 

	* configure.in:
	* src/addins/Addins.mds:
	* src/addins/Makefile.am: Build the XmlEditor when the old 
	  SourceEditor is enabled, pending port to TextEditorExtension. 
	  Remove the GtkSourceView1-based editor from the build. 

2008-03-05  Michael Hutchinson <mhutchinson@novell.com> 

	* configure.in, src/addins/Addins.mds, src/addins/Makefile.am: Enable
	  Moonlight addin.

2008-03-05  Michael Hutchinson  <mhutchinson@novell.com> 

	* Makefile.am: Add a "run-debug" target.

2008-03-04  Mike Krüger <mkrueger@novell.com> 

	* src/addins/Addins.mds: Worked on gnome hig compliant alerts.

2008-03-03  Mike Krüger <mkrueger@novell.com> 

	* src/addins/Addins.mds, src/addins/MonoDevelop.CodeMetrics,
	  src/addins/MonoDevelop.CodeMetrics/AssemblyInfo.cs,
	  src/addins/MonoDevelop.CodeMetrics/MonoDevelop.CodeMetrics.mdp,
	  src/addins/MonoDevelop.CodeMetrics/MonoDevelop.CodeMetrics.xml: Added
	  code metrics start.

2008-02-24  Enver ALTIN  <ealtin@gmail.com>
 
	* po/tr.po: Updated Turkish translation.
 
2008-02-26  Michael Hutchinson <mhutchinson@novell.com> 

	* monodevelop-core-addins.pc.in: Update path for MonoDevelop.AspNet.

2008-02-11  Mike Krüger <mkrueger@novell.com> 

	* monodevelop-core-addins.pc.in: Removed source editor reference.

2008-02-09  Mike Krüger <mkrueger@novell.com> 

	* configure.in, src/addins/Addins.mds, src/addins/Makefile.am: Managed
	  texteditor is now standard - the gtksourceview1&2 are now optional.

2008-02-09  Mike Krüger <mkrueger@novell.com> 

	* configure.in, src/addins/Makefile.am: Added managed texteditor to the
	  default build.

2008-02-07  Mike Krüger <mkrueger@novell.com> 

	* configure.in, src/addins/Makefile.am: Added assembly browser to the build.

2008-02-07  Mike Krüger <mkrueger@novell.com> 

	* src/addins/Addins.mds: Added managed text editor and assembly browser to
	  the addin combine.

2008-01-30  Geoff Norton  <gnorton@novell.com>

	* monodevelop.in: Work around a (broken?) behaviour in OSX 10.5 bash
	that caused the launcher script to hang indefinately.

2008-01-29  Michael Hutchinson <mhutchinson@novell.com> 

	* Makefile.am: Restore some distcheck fixes that got lost during the 
	  build reorg.
	* theme-icons/Makefile.am: Add the GNOME/monodevelop.svg file to dist
	  so that icons can get installed from tarball releases.

2008-01-28  Michael Hutchinson <mhutchinson@novell.com> 

	* Makefile.include: Workaround so that "make run" and uses of mdtool 
	  work with automake < 1.10.

2008-01-25  Wade Berrier  <wberrier@novell.com> 

	* Makefile.am: remove EXTRA_DIST files that were created
	by intltool.

2008-01-25  Lluis Sanchez Gual <lluis@novell.com> 

	* configure.in: Update MD version.

2008-01-24  Ankit Jain  <jankit@novell.com>
	Raja R Harinath  <rharinath@novell.com>

	* mdtool.in:
	* monodevelop.in: Handle spaces in arguments.

2008-01-23  Michael Hutchinson <mhutchinson@novell.com> 

	* autogen.sh: Update ftp addresses for packages.

2008-01-22  Michael Hutchinson <mhutchinson@novell.com> 

	* configure.in: Add a check for msgmerge. Add "hu" to ALL_LINGUAS.

2008-01-22  Lluis Sanchez Gual <lluis@novell.com> 

	* configure.in: Add indonesian language.

2008-01-16  Michael Hutchinson <mhutchinson@novell.com> 

	* configure.in: Updated. Remove intltool calls, check for msgfmt.
	* monodevelop.in: Tidied.
	* Makefile.include: Refactor code that sets vars when lanching MD, and apply
	  to mdtool too.
	* mdtool.in: Set process name on mdtool.
	* Makefile.am: Refactor code that sets vars when lanching MD.
	* autogen.sh: Remove intltoolizing.

2008-01-15  Wade Berrier  <wberrier@novell.com>

	* configure.in: rename sl_SI to sl in LINGUAS
	* monodevelop.desktop: removed "Application" category

2008-01-12  Ankit Jain  <jankit@novell.com>

	Fix bug #350786.
	* monodevelop.xml: Add entries for csproj, vbproj and sln.
	* monodevelop.desktop: Add mime types for vs projects.

2008-01-07  Lluis Sanchez Gual <lluis@novell.com> 

	* configure.in: Added Dutch translation. Patch by André Offringa.

2007-12-17  Aaron Bockover <abockover@novell.com>

	* monodevelop.desktop: Use the icon theme icon name instead of the actual
	filename since the icon is no longer installed to the deprecated pixbufs dir

2007-12-17  Aaron Bockover <abockover@novell.com>

	* configure.in, Makefile.am, theme-icons/: Added new Tango icons in all
	proper theme sizes (16,22,24,32,48,scalable) for GNOME and install them
	into the hicolor icon theme; Added the .icns file containing the Tango
	icons of the appropriate sizes for the Mac

	* Makefile.am, monodevelop.png: Do not install the legacy icon into the
	deprecated pixbufs system data directory

2007-12-17  Lluis Sanchez Gual <lluis@novell.com> 

	

2007-12-17  Lluis Sanchez Gual <lluis@novell.com> 

	* docs/sources, docs/sources/monodevelop-extension-guide.source,
	  docs/sources/monodevelop-reference.source, Makefile.am: Add support for
	  generating extension model documentation.

2007-12-17  Lluis Sanchez Gual <lluis@novell.com> 

	* docs/api/*: Updated.

2007-12-14  Michael Hutchinson  <mhutchinson@novell.com>

	* configure.in:
	* src/addins/Addins.mds:
	* src/addins/Makefile.am: Move the GeckoBrowser addin to extras.

2007-12-14  Lluis Sanchez Gual <lluis@novell.com> 

	* src/addins/Addins.mds: Added GnomePlatform to the build.

2007-12-12  Lluis Sanchez Gual <lluis@novell.com> 

	* configure.in: Bump MD version.

2007-12-03  Michael Hutchinson  <mhutchinson@novell.com>

	* configure.in: Fix a couple of requirement checks. Add some more 
	  output about which options are enabled.

2007-12-06  Geoff Norton  <gnorton@novell.com>

	* src/addins/Makefile.am: Add the GnomePlatform and MacPlatform
	  AddIns.
	* configure.in: Only hard depend on update-*-database if their
	  usage is enabled.  Change the hard dependency on gnome-sharp, 
	  gnome-vfs-sharp, gconf-sharp, to a soft dependency.  Add flags
	  to buld the gnomeplatform and macplatform support.  Default the
	  gnomeplatform to yes and macplatform to no.

2007-12-04  Lluis Sanchez Gual <lluis@novell.com> 

	* configure.in, src/addins/Makefile.am: Moved SourceEditor2 back to main.

2007-12-04  Lluis Sanchez Gual <lluis@novell.com> 

	* monodevelop-core-addins.pc.in, configure.in, src/tools/Tools.mds,
	  src/addins/Addins.mds, src/addins/Extras.mds, src/addins/Makefile.am,
	  src/core/Makefile.am, src/core/Core.mds, src/Makefile.am,
	  monodevelop.pc.in, contrib/Mono.Addins/Mono.Addins.mdp,
	  contrib/Makefile.am, MonoDevelop.mds, Makefile.am: Directory
	  reorganization.

2007-12-03  Michael Hutchinson  <mhutchinson@novell.com>

	* configure.in: Remove GtkHtml dependency.

2007-11-30  Michael Hutchinson  <mhutchinson@novell.com>

	* configure.in:
	* Extras/Extras.mds:
	* Extras/Makefile.am: Enable the GeckoBrowserBinding.

	* Extras/GeckoWebBrowser: Add svn:ignores.

2007-11-20  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am: Fix distcheck; update-mime-database leaves "empty" 
	  files behind after an uninstall, and we should ignore these.

2007-11-13  Michael Hutchinson  <mhutchinson@novell.com>

	* monodevelop.in: Explicitly use /bin/bash rather than /bin/sh, as 
	  "exec -a" isn't compatible with POSIX sh.

2007-11-13  Lluis Sanchez Gual <lluis@novell.com> 

	* Makefile.am: Added target for rebuilding the add-in database.

2007-11-12  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* monodevelop.in: Pass '-a "monodevelop"' to exec in order to set 
	  monodevelop process name, so it shows up nicely in process lists.

2007-11-12  Aaron Bockover  <abockover@novell.com>

	* autogen.sh: Added -Wno-portability -Wno-syntax to make automake be
	quiet about some things; typical Makefile.am files in Mono projects 
	can never conform to the perfect standards of automake

2007-11-09  Michael Hutchinson  <mhutchinson@novell.com>

	* contrib/contrib.mds:
	* contrib/Makefile.am:
	* contrib/log4net/*: Removed log4net from build.
	
	* MonoDevelop.mds:
	* po/po.mdp:
	* contrib/Mono.Cecil/Mono.Cecil.Mdb.mdp: Updated.

2007-11-07  Michael Hutchinson  <mhutchinson@novell.com>

	* configure.in: Correct the GtkSourceView2# version requirement.
	* Extras/MonoDevelop.Database/Makefile.am: Fix for --disable-database.

2007-11-02  Michael Hutchinson  <mhutchinson@novell.com>

	* contrib/Mono.Cecil/Makefile.am: Fix dist.

2007-10-31  Michael Hutchinson  <mhutchinson@novell.com>

	* contrib/contrib.mds:
	* contrib/Mono.Cecil:
	* contrib/Mono.Cecil/Mono.Cecil.mdp:
	* contrib/Mono.Cecil/Mono.Cecil.Mdb.mdp:
	* contrib/Mono.Cecil/Mono.Cecil:
	* contrib/Mono.Cecil/Mono.CompilerServices.SymbolWriter:
	* contrib/Mono.Cecil/Mono.Cecil.Mdb:
	* contrib/Mono.Cecil/Makefile.am:
	  Start building Mono.Cecil.Mdb.dll rather than including its code in 
	  MonoDevelop.Projects. Remove svn:externals; started using "svn copy" 
	  instead, and added some make targets to facilitate updating the
	  source.

2007-10-29  Michael Hutchinson  <mhutchinson@novell.com>

	* configure.in:
	* Extras/Makefile.am: Add MonoDevelop.SourceEditor2 into the build. 

2007-10-29  Lluis Sanchez Gual <lluis@novell.com> 

	* contrib/Mono.Cecil/Mono.Cecil.mdp, contrib/Firebird/Firebird.mdp,
	  contrib/Mono.Addins/Mono.Addins.Setup.mdp,
	  contrib/Mono.Addins/Mono.Addins.mdp,
	  contrib/Mono.Addins/Mono.Addins.Gui.mdp, contrib/log4net/log4net.mdp:
	  Updated paths.

2007-10-29  Lluis Sanchez Gual <lluis@novell.com> 

	* configure.in: Bump MD version.

2007-09-22  Michael Hutchinson  <mhutchinson@novell.com>

	* monodevelop.in: Add PKG_CONFIG_PATH values for lib64 if it exists, 
	  so that packages will be found on openSUSE 10.3 x86_64.
	* Makefile.am: Likewise. Also modify all of the run targets to set 
	  PKG_CONFIG_PATH and other variables as required.

2007-10-09  Ankit Jain  <jankit@novell.com>

	* monodevelop.in: Discard wrapper script args before invoking
	MonoDevelop.exe .
	* mdtool.in: Likewise.

2007-10-04  Lluis Sanchez Gual <lluis@novell.com> 

	* AUTHORS: Updated.

2007-09-28  Michael Hutchinson <mhutchinson@novell.com> 

	* configure.in: Remove xsp/xsp2 checks for ASP.NET project addin and
	  gcc/g++/ctags checks for C/C++ addin.

2007-09-27  Raja R Harinath  <rharinath@novell.com>

	* contrib/log4net/Makefile.am (LOG4NET_CSFILES): Don't prepend
	$(scrdir), 'find' already does it for us.  Append a '/' after the
	directory name to allow using symlinks (some svn wrappers don't
	support svn:externals).

2007-09-26  Michael Hutchinson <mhutchinson@novell.com> 

	* configure.in: Another Mozilla detection tweak: don't ignore pkg-config
	  results.

2007-09-26  Lluis Sanchez Gual <lluis@novell.com> 

	* monodevelop.png: New logo.

2007-09-25  Lluis Sanchez Gual <lluis@novell.com> 

	* monodevelop.pc.in: Fix assembly paths.

2007-09-22  Michael Hutchinson <mhutchinson@novell.com>

	* configure.in: Enable ASP.NET project support by default, and fix 
	  quoting in database provider detection.

2007-09-21  Lluis Sanchez Gual <lluis@novell.com> 

	* configure.in: Bump MD version.

2007-09-20  Michael Hutchinson <mhutchinson@novell.com>

	* configure.in, monodevelop.in: Fix Mozilla detection script.

2007-09-20  Ben Motmans <ben.motmans@gmail.com>

	* configure.in: detection of database providers
	* Extras/Makefile.am, Extras/Extras.mds: added MonoDevelop.Database addin

2007-09-20  Ben Motmans <ben.motmans@gmail.com>

	* contrib/Sqlite/Mono.Data.Sqlite.dll,
	contrib/Sqlite/Sqlite.license.txt: Precompiled version of Sqlite
	provider with patch for bug #324934
	* contrib/MySql/MySql.Data.dll, 
	contrib/MySql/MySql.license.txt: MySql 5.0.7 provider

2007-09-20  Michael Hutchinson <mhutchinson@novell.com> 

	* contrib/Mono.Addins/Mono.Addins.Setup.mdp,
	  contrib/Mono.Addins/Mono.Addins.mdp,
	  contrib/Mono.Addins/Mono.Addins.Gui.mdp: Update targets for custom
	  build.
	* contrib/Firebird/Firebird.mdp: Add files.

2007-09-20  Michael Hutchinson <mhutchinson@novell.com> 

	* configure.in, monodevelop.in: Mozilla detection script now checks paths
	  for gtkembedmoz.so so that MD doesn't end up with an invalid Mozilla
	  path.

2007-09-14  Michael Hutchinson <mhutchinson@novell.com>

	* configure.in,
	  MonoDevelop.mds,
	  contrib/contrib.mdp, 
	  contrib/contrib.mds,
	  contrib/Mono.Cecil/Mono.Cecil.mdp,
	  contrib/Makefile.am,
	  contrib/Firebird/FirebirdSql.Data.Firebird.license.txt, 
	  contrib/Firebird/Firebird.mdp,
	  contrib/Firebird/Makefile.am,
	  contrib/Firebird/FirebirdSql.Data.Firebird.dll, 
	  contrib/Mono.Addins/Mono.Addins.Setup.mdp, 
	  contrib/Mono.Addins/Mono.Addins.mdp,
	  contrib/Mono.Addins/Makefile.am,
	  contrib/Mono.Addins/Mono.Addins.Gui.mdp,
	  contrib/log4net/Makefile.am,
	  contrib/log4net/log4net.mdp: Add projects for contrib dlls so that 
	  they can be referenced correctly from other MD projects.
	  
	* contrib/FirebirdSql.Data.Firebird.dll, 
	  contrib/FirebirdSql.Data.Firebird.license.txt: moved.

2007-09-13  Michael Hutchinson <mhutchinson@novell.com>

	* configure.in: Add Makefile for building stetic from svn.

2007-09-13  Michael Hutchinson <mhutchinson@novell.com>

	* contrib/extract_makefile_variable.sh, contrib/Makefile.am, 
	  contrib/Mono.Addins/Makefile.am: Refactor makefile variable 
	  extraction, deploy Mono.Addins data files correctly.
	
	* contrib/log4net/Makefile.am: Use better file listing.
	
	* contrib/Mono.Addins/references.sed, contrib/Mono.Addins/files.sed,
	  contrib/Mono.Addins/singlelinevars.sed,
	  contrib/Mono.Addins/resources.sed, 
	  contrib/Mono.Addins/data_files.sed: Removed, no longer needed.

2007-09-13  Michael Hutchinson <mhutchinson@novell.com>

	* contrib/*: Rework build code so that Mono.Addins, Mono.Cecil 
	  and log4net libraries are included via svn:externals and built 
	  from source.
	
	* configure.in: Updated.

2007-09-10  Lluis Sanchez Gual <lluis@novell.com> 

	

2007-09-07  Marcos David Marín Amador <MarcosMarin@gmail.com>

	* configure.in: Added a configure option to enable C/C++ project
	  support. By default it is not enabled.
	* Extras/Extras.mds: Added Extras/CBinding/CBinding.mds to the solution.
	* Extras/Makefile.am: Added CBinding to SUBDIRS.

2007-09-01  Michael Hutchinson <m.j.hutchinson@gmail.com>

	* configure.in: Update Boo version (Boo AST library API change breaks 
	  backward compatibility).

2007-08-14  Lluis Sanchez Gual <lluis@novell.com> 

	* contrib/Mono.Addins.dll, contrib/Mono.Addins.Gui.dll,
	  contrib/Mono.Addins.Setup.dll: Updated from Mono.Addins module. Fixes
	  issue with add-in loading.

2007-08-09  Lluis Sanchez Gual <lluis@novell.com> 

	* contrib/Mono.Addins.Setup.dll, contrib/Mono.Addins.dll,
	  contrib/Mono.Addins.Gui.dll: Updated from mono-addins module.
	* Makefile.am: Reorganized the extension point hierarchy. Embedded all
	  add-in manifests as resources.

2007-08-03  Ankit Jain  <jankit@novell.com>

	* Makefile.am: Add man to SUBDIRS
	* configure.in: Add man/Makefile to AC_OUTPUT.

2007-07-25  Lluis Sanchez Gual <lluis@novell.com> 

	* configure.in: Bump MD version.

2007-07-24  Lluis Sanchez Gual <lluis@novell.com> 

	* configure.in, Extras/Makefile.am: Added MonoDevelop.Gettext.

2007-06-29 Jacob Ilsø Christensen  <jacobilsoe@gmail.com>

	* configure.in: Added sv to ALL_LINGUAS.

2007-06-18  Atsushi Enomoto  <atsushi@ximian.com>

	* configure.in: renamed from ja_JP.po to ja.po

2007-06-11  Lluis Sanchez Gual <lluis@novell.com> 

	* configure.in: Require mono-cairo

2007-06-11  Ankit Jain  <jankit@novell.com>

	* configure.in (ALL_LINGUAS): Added Portuguese (Portugal) translation.

2007-06-08  Lluis Sanchez Gual <lluis@novell.com> 

	Bump version of the package and all add-ins.

2007-06-05  Jeffrey Stedfast  <fejj@gnome.org>

	* configure.in: Instead of generating conftest.cs and conftest.exe
	for the monoquery configure tests, use myconftest.cs and
	myconftest.exe so that autoconf doesn't get confused and think
	that the system c compiler outputs .exe's.

2007-06-04  Jeffrey Stedfast  <fejj@novell.com>

	* configure.in: AM_CONDITIONAL()s always need to be run.

2007-06-01  Jeffrey Stedfast  <fejj@novell.com>

	* configure.in: Wrote some configure script-fu to detect which
	MonoQuery providers were available.

2007-05-30  Lluis Sanchez Gual <lluis@novell.com> 

	Updated.

2007-05-29  Jeffrey Stedfast  <fejj@novell.com>

	* configure.in (UPDATE_DESKTOP_DB): Abort if UPDATE_MIME_DB or
	UPDATE_DESKTOP_DB = no. These tools are required. Fixes bug
	#81212.

2007-05-13 Michael Hutchinson <m.j.hutchinson@gmail.com>

	* configure.in: Remove JSCall# dependency for AspNetEdit.

2007-05-10  Jeffrey Stedfast  <fejj@novell.com>

	* README: Updated to reflect new gtk-sharp dependency

2007-05-07 Lluis Sanchez Gual  <lluis@novell.com> 

	* configure.in: We now require gtk 2.8.

2007-05-05 Lluis Sanchez Gual  <lluis@novell.com> 

	* Makefile.am: When running MD without installing, use a private
	  add-in registry.

2007-05-04 Lluis Sanchez Gual  <lluis@novell.com> 

	* contrib/Mono.Addins.Setup.dll,
	  Mono.Addins.Setup.dll,
	  Mono.Addins.Gui.dll,
	  Mono.Addins.dll.config,
	  Makefile.am: Added Mono.Addins libraries.

2007-04-19 Lluis Sanchez Gual  <lluis@novell.com> 

	* configure.in: Added new deployment projects.

2007-04-07 Michael Hutchinson <m.j.hutchinson@gmail.com>

	* monodevelop.in: Add some more typical directories to PKG_CONFIG_PATH.

2007-03-02T10:26	C.J. Adams-Collier <cjac@colliertech.org>

	* Core/src/MonoDevelop.Core/MonoDevelop.Core/SystemAssemblyService.cs:
	! ParsePCFile (string pcfile)
	- moved check whether pc file has been processed to top of method

2007-03-17 Lluis Sanchez Gual  <lluis@novell.com> 

	* configure.in: Added galician translation.

2007-03-07 Michael Hutchinson <m.j.hutchinson@gmail.com>

	* configure.in: Error out if check for "zip" fails.
	  Remove ENABLE_DESIGNERSUPP check as it should always be built now.

2007-02-16 Lluis Sanchez Gual  <lluis@novell.com> 

	* configure.in: Changed version to 0.13. Removed NUnit dependency.

2007-02-08 Lluis Sanchez Gual  <lluis@novell.com> 

	* Makefile.include: Added new var for resource files.

2007-01-23 Lluis Sanchez Gual  <lluis@novell.com> 

	* configure.in: Make sure all files are built using utf8. Should
	  fix bug #80010.

2006-12-01 Jacob Ilsø Christensen  <jacobilsoe@gmail.com>

	* configure.in: Fixed $enable_subversion typo.

2006-11-28 Andrés G. Aragoneses  <knocte@gmail.com>

	* configure.in: Added a fallback search for MOZILLA_HOME, that is in 
	  sync with the one in monodevelop.in. Reviewed and cleaned up by 
	  Michael Hutchinson <m.j.hutchinson@gmail.com>.
	
	* monodevelop.in: Added a new way to detect MOZILLA_HOME, and improved 
	  the existing ones. Incorporates patch by Mike Morano 
	  <mmorano@mikeandwan.us>.
	
	* Makefile.am: Set MOZILLA_FIVE_HOME for the "make run" command.

2006-11-28 Gideon de Swardt <gdeswardt@gmail.com>

	* configure.in: Added the WebReference AddIn.

2006-11-23 Lluis Sanchez Gual  <lluis@novell.com> 

	* configure.in: Enable version control by default. Added new
	  option for Subversion support.

2006-11-20  Ankit Jain  <jankit@novell.com>

	* Makefile.am: Change the build order of addins to build VBNetBinding
	before prj2make-sharp-lib.

2006-09-28 Matej Urbas <matej.urbas@gmail.com>

	* Extras/Extras.mds: Added Extras/MonoDevelop.Autotools to the
	  solution.

2006-09-19 Jacob Ilsø Christensen  <jacobilsoe@gmail.com>

	* Extras/Extras.mds: Updated.

2006-09-19 Jacob Ilsø Christensen  <jacobilsoe@gmail.com>

	* MonoDevelop.mds: Updated.
	* .: Added svn:ignore for MonoDevelop.userprefs.

2006-09-01 Levi Bard  <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* *: Fixes for win32 support.

2006-09-01 Lluis Sanchez Gual  <lluis@novell.com> 

	* configure.in: Added catalan translation. Changed version to 0.12.

2006-08-23 Scott Ellington  <scott.ellington@gmail.com>

	* monodevelop.xml: permit mds and mdp files to be opened from desktop

2006-08-17  Michael Hutchinson <m.j.hutchinson@gmail.com>

	* Extras/Makefile.am:
	* Extras/Extras.mds:
	* Makefile.am:
	* configure.in: Add AspNetEdit to the build.

2006-08-08  Jacob Ilsø Christensen  <jacobilsoe@gmail.com>

	* configure.in: Added support for enabling/disabling MonoQuery.

2006-08-04 Lluis Sanchez Gual  <lluis@novell.com> 

	* configure.in: Added MonoDevelop.Projects.dll.config to the
	  build.

2006-07-28  Wade Berrier <wberrier@novell.com>

	* configure.in: Remove Extras/VBNetBinding/SharpRefactoryVB/Makefile reference,
	as This was removed.

2006-07-28  Matej Urbas <matej.urbas@gmail.com>

	* configure.in: Added the Slovenian translation to ALL_LINGUAS.

2006-07-21  Michael Hutchinson <m.j.hutchinson@gmail.com>

	* Extras/Makefile.am:
	* Extras/Extras.mds:
	* Makefile.am:
	* configure.in: Add MonoDevelop.DesignerSupport to the build.

2006-07-03 Lluis Sanchez Gual  <lluis@novell.com> 

	* monodevelop.in: Added yet another way of finding the
	  mozilla location.
	* monodevelop.pc.in: Fix MonoDevelop.Components location.

2006-06-29  Michael Hutchinson <m.j.hutchinson@gmail.com>

	* Extras/Makefile.am:
	* Extras/Extras.mds:
	* Makefile.am:
	* configure.in: Add AspNetAddIn to the build.
	* AUTHORS: Add my name.

2006-06-26  Alp Toker <alp@atoker.com>

	* configure.in: Remove obsolete vte-sharp-2.0 check.

2006-06-24  John Luke <john.luke@gmail.com>

	* Unused/AssemblyAnalyzer:
	* Unused/ICSharpCode.SharpAssembly: remove
	
2006-06-07 Scott Ellington  <scott.ellington@gmail.com>
	
	* Makefile.am: Autotools must build before CSharpBinding

2006-06-07 Scott Ellington  <scott.ellington@gmail.com>

	* configure.in: Add new makefile to the build.

2006-06-05 Scott Ellington  <scott.ellington@gmail.com>

	* Extras/Makefile.am:
	* Makefile.am:
	* configure.in: Added MonoDevelop.Autotools to the build.
	* AUTHORS: Added my name.

2006-05-31 Lluis Sanchez Gual  <lluis@novell.com>

	* configure.in: Added new makefile to the build.

2006-05-29 Lluis Sanchez Gual  <lluis@novell.com>

	* monodevelop.pc.in: Replace old SharpRefactory reference by
	  an NRefactory reference.

2006-05-22 Lluis Sanchez Gual  <lluis@novell.com>

	* configure.in: Added option for optionally enabling
	  the nemerle add-in. Patch by Alejandro Serrano.

2006-05-22 Lluis Sanchez Gual  <lluis@novell.com>

	* configure.in: Use gmcs instead of mcs. Added NRefactory
	  to the build.

2006-05-04 Lluis Sanchez Gual  <lluis@novell.com>

	* configure.in: Changed version to 0.11.

2006-04-27 Lluis Sanchez Gual  <lluis@novell.com>   

	* configure.in: Added russian translation and missing file.

2006-04-17  Jacob Ilsø Christensen  <jacobilsoe@gmail.com>

	* configure.in: Added zh_CN translation. Thanks to
	Yu Lindong <shinjidev@163.com>.

2006-04-03 Lluis Sanchez Gual  <lluis@novell.com>   

	* configure.in: Removed old glade3 stuff. Change version to 0.10.

2006-03-31 Lluis Sanchez Gual  <lluis@novell.com>   

	* Makefile.am: Added GtkCore and ChangeLog addins.

2006-03-24 Lluis Sanchez Gual  <lluis@novell.com>   

	* configure.in: Added missing makefile.
	* MonoDevelop.mds: Updated.

2006-03-24  Jacob Ilsø Christensen  <jacobilsoe@gmail.com>

	* Makefile.include: Added build_test_sources target.

2006-03-14  Jacob Ilsø Christensen  <jacobilsoe@gmail.com>

	* configure.in: Added zh_TW translation. Thanks to
	Yan-ren Tsai <elleryq@gmail.com>.

2006-03-06  Lluis Sanchez Gual  <lluis@novell.com>   

	* monodevelop.pc.in: Fix target path of MonoDevelop.Components.dll.

2006-03-02  Lluis Sanchez Gual  <lluis@novell.com>   

	* Extras/Makefile.am:
	* Extras/Extras.mds:
	* configure.in: Added MonoDevelop.GtkCore to the build.

2006-02-28  Jacob Ilsø Christensen  <jacobilsoe@gmail.com>

	* AUTHORS: Updated.

2006-02-19  Andrés G. Aragoneses <knocte@gmail.com>

        * README: Added a note about using l10n.

2006-02-10 Lluis Sanchez Gual  <lluis@novell.com>   

	* Core/src/Tools/Makefile.am:
	* configure.in: Removed dbgen from the build.

2006-01-25  Muthiah Annamalai <muthus_post@yahoo.com>

	* configure.in: Report error when $has_mono, and $has_mint flags
	are false, due to mono version lower than $MONO_REQUIRED_VERSION.
	
2006-01-15  Jacob Ilsø Christensen  <jacobilsoe@gmail.com>

	* monodevelop.desktop:
	Adhere to the HIG (thanks to Gabriel Burt).
	Fixes 77011.

2006-01-13 Lluis Sanchez Gual  <lluis@novell.com>   

	* Makefile.am: Added some targets for updating the API documentation
	and for building add-in packages.

2006-01-10 Mart Roosmaa  <roosmaa@gmail.com>

	* configure.in: Bumped required mono version for changes in r55333.

2006-01-10 Lluis Sanchez Gual  <lluis@novell.com>   

	* configure.in: Added glade3 addin.

2005-12-15  Jacob Ilsø Christensen  <jacobilsoe@gmail.com>

	* configure.in:
	* Extras/Makefile.am:
	* Extra/ChangeLogAddIn/*:
	Added ChangeLogAddIn.

2005-11-25 Rodrigo B. de Oliveira  <rodrigobamboo@gmail.com>

	* configure.in: BOO_REQUIRED_VERSION bumped to 0.7.5.2013.

2005-11-23 Wade Berrier  <wberrier@novell.com>

	* configure.in: Add GettextCatalog.cs to AC_OUTPUT

2005-11-21  Lluis Sanchez Gual  <lluis@novell.com>

	* configure.in: Added italian translation.

2005-11-21  Lluis Sanchez Gual  <lluis@novell.com>  

	* configure.in: Updated versions. Properly handle enabling of
	nunit and mono developer extensions.

2005-11-21  Lluis Sanchez Gual  <lluis@novell.com> 

	* Makefile.am: Rename mdrun to mdtool.

2005-11-18  Lluis Sanchez Gual  <lluis@novell.com> 

	* configure.in: Updated required versions of mono and gtk#.
	Enabled monoextensions and nunit by default. Disabled the debugger.
	* mdrun: renamed to mdtool.
	
2005-11-16  Lluis Sanchez Gual  <lluis@novell.com> 

	* configure.in: Added WelcomePage dir.
	
2005-10-16  Todd Berman  <tberman@off.net>
	
	* configure.in: bump versions to 0.8.99

2005-10-11  John Luke  <john.luke@gmail.com>

	* configure.in: remove ICSharpCode.SharpAssembly
	* monodevelop.pc.in: remove ICSharpCode.SharpAssembly.dll
	
2005-10-11  Lluis Sanchez Gual  <lluis@novell.com>

	* monodevelop.pc.in: Fix library paths.

2005-10-11  Lluis Sanchez Gual  <lluis@novell.com> 

	* configure.in: Added mdrun tool.
	* Makefile.am: Generate script for mdrun tool.
	* mdrun.in: Added.

2005-10-04  Lluis Sanchez Gual  <lluis@novell.com> 

	* Makefile.am: No need to set MONO_PATH any more.
	* configure.in: Added mdrun tool.

2005-09-23  Christian Hergert   <christian.hergert@gmail.com>

	* configure.in: Check for vte-sharp-2.0

2005-09-23  Christian Hergert   <christian.hergert@gmail.com>

	* Lots of svn:ignore updates to include *.pidb
	* Core/src/MonoDevelop.Base/MonoDevelop.Base.mdp: update with new file
	* Core/src/MonoDevelop.Base/Commands/AutostartCommands.cs: Use new
	StartupInfo class to get files that should be loaded on startup.
	* Core/src/MonoDevelop.Base/StartupInfo.cs: Remove the startup related
	information from SplashScreenForm to this class.
	* Core/src/MonoDevelop.Base/Gui/Dialogs/SplashScreen.cs: Remove startup
	related information.
	* Core/src/MonoDevelop.Base/Gui/Dialogs/ErrorDialog.cs: Make disposable
	* Core/src/MonoDevelop.Base/Makefile.am: Add new file
	* Core/src/MonoDevelop.Startup/MonoDevelopMain.cs: Reflect splash screen
	changes.
	* Core/src/MonoDevelop.Core/AddIns/AddIn.cs: comment out unused private
	method.
	* Core/src/MonoDevelop.Core/Services/ServiceManager.cs: Make a callback
	when a service is about to be loaded, or has been loaded.
	* Core/src/MonoDevelop.Core/Services/FileUtilityService.cs: Comment out
	unused private static variable.

2005-09-23  Christian Hergert   <christian.hergert@gmail.com>

	* Core/src/MonoDevelop.Base/Commands/VBConverter/ConvertBuffer.cs: Update
	logging calls to reflect a level more representative of the information.
	* Core/src/MonoDevelop.Base/Commands/ToolsCommands.cs
	* Core/src/MonoDevelop.Base/Commands/AutostartCommands.cs
	* Core/src/MonoDevelop.Base/Services/DispatchService/DispatchService.cs
	* Core/src/MonoDevelop.Base/Services/ParserService/DefaultParserService.cs
	* Core/src/MonoDevelop.Base/Services/ParserService/AssemblyInformation.cs
	* Core/src/MonoDevelop.Base/Services/ParserService/CodeCompletionDatabase.cs
	* Core/src/MonoDevelop.Base/Gui/Dialogs/Wizard/WizardDialog.cs
	* Core/src/MonoDevelop.Base/Gui/Dialogs/NewFileDialog.cs
	* Core/src/MonoDevelop.Base/Gui/Pads/HelpBrowser/MonodocTreePad.cs
	* Core/src/MonoDevelop.Base/Gui/Pads/HelpBrowser/HelpViewer.cs
	* Core/src/MonoDevelop.Base/Gui/Pads/FileScout/FileList.cs
	* Core/src/MonoDevelop.Base/Gui/BrowserDisplayBinding/HtmlViewPane.cs
	* Core/src/MonoDevelop.Base/Gui/Workbench/Layouts/SdiWorkspaceLayout.cs
	* Core/src/MonoDevelop.Base/Gui/Workbench/DefaultWorkbench.cs
	* Core/src/MonoDevelop.Base/Internal/Project/Project/DotNetProject.cs
	* Core/src/MonoDevelop.Base/Internal/Project/Project/IncludeFilesDialog.cs
	* Core/src/MonoDevelop.Base/Internal/Project/Project/Project.cs
	* Core/src/MonoDevelop.Base/Internal/Project/Combine/Combine.cs
	* Core/src/MonoDevelop.Base/Internal/ProgressMonitoring/ConsoleProgressMonitor.cs
	* Core/src/MonoDevelop.Base/Internal/ProgressMonitoring/MessageDialogProgressMonitor.cs
	* Core/src/MonoDevelop.Base/Internal/ProgressMonitoring/BaseProgressMonitor.cs
	* Core/src/MonoDevelop.Base/Internal/Parser/SharpAssemblyLayer/SharpAssemblyEvent.cs
	* Core/src/MonoDevelop.Base/Internal/Parser/SharpAssemblyLayer/SharpAssemblyReturnType.cs
	* Core/src/MonoDevelop.Base/Internal/Parser/SharpAssemblyLayer/SharpAssemblyAttribute.cs
	* Core/src/MonoDevelop.Base/Internal/Parser/SharpAssemblyLayer/SharpAssemblyField.cs
	* Core/src/MonoDevelop.Base/Internal/Parser/SharpAssemblyLayer/SharpAssemblyClass.cs
	* Core/src/AddIns/DisplayBindings/SourceEditor/Services/SourceViewService.cs
	* Core/src/MonoDevelop.Startup/app.config: Change default threshold to
	ERROR.

2005-08-21  Peter Johanson  <latexer@gentoo.org>

	* configure.in: Bump required boo version. Needed for new -embedres
	option.

2005-08-21  Christian Hergert   <christian.hergert@gmail.com>

	* contrib/FirebirdSql.Data.Firebird.license.txt: License for firebord
	.net provider.
	* contrib/Makefile.am: Update to include firebird
	* contrib/FirebirdSql.Data.Firebird.dll: Firebird .net provider

2005-08-20  John Luke  <john.luke@gmail.com>

	* *.mdp: update

2005-08-20  John Luke  <john.luke@gmail.com>

	* README: update deps
	
2005-08-20  Peter Johanson  <latexer@gentoo.org> 

	* configure.in: Bump required gtk-sharp version, needed for new
	assembly versions in template files.

2005-08-18  Lluis Sanchez Gual  <lluis@novell.com> 

	* configure.in: Remove the icons directory.

2005-08-13	Chrstian Hergert	<christian.hergert@gmail.com>

	* build/data/resources/icons/Makefile.am: Add missing MonoQuery.Column
	icon.

2005-08-08  John Luke  <john.luke@gmail.com>

	* configure.in: add conditional for version control addin

2005-08-05  Alp Toker  <alp@atoker.com>

	* monodevelop.in: Remove 'function' bash-ism to make the launcher script
	POSIX sh compatible.

2005-08-02	Chrstian Hergert	<christian.hergert@gmail.com>

	* configure.in: Remove monoquery autoconf options. We no longer need them.
	* build/data/resources/icons: Added some icons donated from MySQL.

2005-07-21  Peter Johanson  <latexer@gentoo.org> 

	* configure.in: Bump boo dep as needed by recent completion changes.

2005-07-18  Lluis Sanchez Gual  <lluis@novell.com> 

	* monodevelop.in: Set MONODEVELOP_DISPATCH_DEBUG when running with
	--debug option.

2005-07-15  John Luke  <john.luke@gmail.com>

	* .mdp: set localcopy="False"

2005-07-15  John Luke  <john.luke@gmail.com>

	* .mdp: update
	* MonoDevelop.mds: update gtk-sharp versions and
	add some new files
	
2005-07-15  John Luke  <john.luke@gmail.com>

	* configure.in: sort AC_OUTPUT section
	* help/: mv from Core/help
	* xmldocs.make: move from Core/xmldocs.make
	* omf.make: move from Core/omf.make

2005-07-13  Lluis Sanchez Gual  <lluis@novell.com> 

	* configure.in: Added options for building the NUunit addin and the
	mono extensions addin.

2005-07-08  John Luke  <john.luke@gmail.com>

	* configure.in: update mono dep to >= 1.1.4
	for various reasons and remove the MONO_POSIX_OEE
	check
	* README: update deps

2005-06-28  John Luke  <john.luke@gmail.com>

	* *.mdp:
	* MonoDevelop.mds: partial MonoDevelop project files for testing

2005-06-28  Raja R Harinath  <rharinath@novell.com>

	* Makefile.include (build_sources): Allow Makefiles to define
	GENERATED_FILES that are picked up from builddir.

2005-06-22  Joshua Tauberer  <tauberer@for.net>
	* configure.in: Added Extras/VersionControl automake files to the
	  build.
	* Extras/VersionControl: Checked in VersionControl addin files.

2005-06-08  Todd Berman  <tberman@off.net>

	* monodevelop.in: Remove bashism, patch from meebey (mail@meebey.net)

2005-06-01  Todd Berman  <tberman@off.net>

	* */*: Make MD -langversion:ISO-1 compliant, and add checking to the
	makefiles

2005-05-31  Peter Johanson <latexer@gentoo.org>

	* configure.in: Bump boo version requirement.

2005-05-25  Wade Berrier <wberrier@novell.com>

	* monodevelop.in:
	    - Also search the firefox shell script for MOZILLA_FIVE_HOME.
	    This was done for installations that have firefox installed, 
	    but no mozilla shell script


2005-05-15  Ben Maurer  <bmaurer@ximian.com>

	* configure.in, */Makefile.am:
	    - Use prefix/lib ratehr than libdir to clean up amd64
	    packaging
	    - Don't use gnome_prefix for installing stuff, just put it in
	    the normal install prefix. If you install MD to a prefix, you
	    will have to add your prefix to XDG_DATA_DIRS, just like you
	    need to modify your PATH.
	    - Allow people to disable update-mime-database (for packagers)
	    - Misc. Makefile cleanups

2005-05-06  John Luke  <john.luke@gmail.com>

	* AUTHORS: mv here from Core/AUTHORS
	* README: mv here from Core/README

2005-05-03  Lluis Sanchez Gual  <lluis@novell.com> 

	* configure.in: Added mdhost.

2005-04-26  Ben Maurer <bmaurer@ximian.com>
	
	* po/POTFILES.in: remove dead files.

2005-04-18  Peter Johanson <latexer@gentoo.org>

	* configure.in: Add Boo addin logic

2005-04-18  Peter Johanson <latexer@gentoo.org>

	* configure.in: Add monodevelop.pc generation
	* Makefile.am: Add monodevelop.pc installation/cleanup
	* monodevelop.pc.in: New monodevelop.pc file for external addins to
	use.

2005-04-16  John Luke  <john.luke@gmail.com>

	* configure.in: bump gtk# dep to 1.9.3 for latest dock changes
	remove MonoDevelop.Gui.Utils config file

2005-04-14  Raja R Harinath  <rharinath@novell.com>

	* contrib/Makefile.am (log4net.dll): Copy from $(srcdir).

2005-04-03  John Luke  <john.luke@gmail.com>

	* autogen.sh: add back aclocal

2005-04-01	Christian Hergert	<christian.hergert@gmail.com>

	* contrib/: Add folder for external libraries
	* contrib/log4net.dll: Apache Logging .NET Library
	* contrib/log4net.license.txt: log4net license
	* contrib/Makefile.am: Makefile for contrib libraries
	* configure.in: Add the new Makefile.am files

2005-03-13  John Luke  <john.luke@gmail.com>

	* autogen.sh: remove libtool, autoheader, and aclocal
	usage, I dont think we'll need it

2005-03-13  John Luke  <john.luke@gmail.com>

	* configure.in: remove gdkdock & c-related stuff
	add Core/src/MonoDevelop.Dock/Makefile output
	* Core/gdldock: kill
	* Core/src/Makefile.am: add MonoDevelop.Dock
	* Core/Makefile.am: remove gdldock

2005-03-12  Todd Berman  <tberman@off.net>

	* configure.in: push/branch 0.6

2005-02-28  John Luke  <john.luke@gmail.com>

	* monodevelop.in: use /bin/sh and exec instead
	of running from bash

2005-02-24  John Luke  <john.luke@gmail.com>

	* configure.in: move JavaBinding to Extras
	and some incomplete dep-checking for ikvm

2005-02-09  John Luke  <john.luke@gmail.com>

	* */Makefile.am: build to build/bin/ so the make CSC='mcs -g'
	and then running with --debug will work
	almost fix distcheck
	* po/POTFILES.in: update
	* configure.in: dep on gtk-sharp-2 > 1.9.2

2005-02-10  Christian Hergert <christian.hergert@gmail.com>

	* configure.in: Gecko# updated their pkg-config settings. We now check
	for gecko-sharp-2.0.

2005-02-10  Todd Berman  <tberman@off.net>

	* Makefile.am: add --debug to make run.
	* monodevelop.xml: Add .mds and .mdp

2005-02-09  John Luke  <john.luke@gmail.com>

	* configure.in: remove obsolete NOTE

2005-02-07  Chris Toshok  <toshok@ximian.com>

	* configure.in: re-enable the debugger foo, with
	--enable-debugger.

2005-02-02  Christian Hergert <chris@mosaix.net>

	* configure.in: Added dynamic control of sqlite in monoquery
	via substring autofoo.

2005-01-31  Lluis Sanchez Gual  <lluis@novell.com>

	* configure.in: Added MonoDeveloperExtensions addin.

2005-01-26  John Luke  <john.luke@gmail.com>

	* configure.in: check for gnome-vfs

2005-01-14  Lluis Sanchez Gual  <lluis@novell.com>

	* configure.in: Removed some obsolete files from build.

2005-01-11  John Luke  <john.luke@gmail.com>

	* monodevelop.applications:
	* monodevelop.keys:
	* monodevelop.mime: kill old style mime stuff, since we depend
	on a newer gnome via gtk#2
	* configure.in: AC_SUBST the path of update_mime_database and
	rename the variable to UPDATE_MIME_DB
	* Makefile.am: remove old mime stuff, use UPDATE_MIME_DB
	variable from configure

Test
